import Vue from 'vue'
import App from './App.vue'
import router from './router/router'
import Vconsole from 'vconsole';
import store from './store/index'
import axios from './api/request'
import 'babel-polyfill'// 保证在IE浏览器打开
//以上三行不要动保存原来的位置
//原因:引入有顺序
//第三方组件库在下面引入
//1.完整引入mint-ui
import MintUI from 'mint-ui'
//2.单独引入mint-ui样式
import'mint-ui/lib/style.css'
import ElementUI from 'element-ui'; //完整引入ElementUI
import 'element-ui/lib/theme-chalk/index.css';//单独引入element-ui样式
import Distpicker from 'v-distpicker' //城市选择器
import htmlpanel from '@/page/common/htmlpanel' //展示外部链接

// 复制插件
import VueClipboard from 'vue-clipboard2';
Vue.use(VueClipboard);


// 全局禁止log日志
console.log = function() {
};


// xss攻击
import Xss from 'xss'
Vue.prototype.Xss = Xss


//全局引入方法，页面this.直接使用
import { getConfigKey, getClientConfigKey } from "@/api/system/config";
import { currency,parseTime, resetForm, addDateRange, selectDictLabel, selectDictLabels, download, downloadHttp, downloadFast, handleTree } from "@/util/util";
import xss from 'xss';
// 控制台
// new Vconsole();
Vue.component('v-distpicker', Distpicker)
Vue.component('v-htmlpanel', htmlpanel)
Vue.prototype.getConfigKey = getConfigKey
Vue.prototype.getClientConfigKey = getClientConfigKey
Vue.prototype.parseTime = parseTime
Vue.prototype.resetForm = resetForm
Vue.prototype.addDateRange = addDateRange
Vue.prototype.selectDictLabel = selectDictLabel
Vue.prototype.selectDictLabels = selectDictLabels
Vue.prototype.download = download
Vue.prototype.handleTree = handleTree
window.downloadFast = downloadFast;
window.downloadHttp = downloadHttp;
Vue.prototype.downloadFast = downloadFast;
Vue.prototype.downloadHttp = downloadHttp;

//过滤器全局名称，对应过滤函数方法名
Vue.filter("currency",currency)

//3.将mint-ui注册vue
Vue.use(MintUI);
Vue.use(ElementUI);
Vue.config.productionTip = false
new Vue({
  router,store,axios,
  render: h => h(App)
}).$mount('#app')
